ofarc(1)

NAME
ofarc - list, extract, create and append to archives

SYNOPSIS
ofarc [options] archive [file1 file2 ...]

DESCRIPTION
ofarc is a program to list, extract, create and append to archives.

OPTIONS

-a, --append
    Append to archive.

--archive-comment=comment
    Archive comment to use when creating or appending.

-c, --create
    Create archive.

-C directory, --directory=directory
    Extract into the specified directory.

-E encoding, --encoding=encoding
    The encoding (character set) used by the archive (only tar, lha and zoo files).

-f, --force
    Force / overwrite files.

-h, --help
    Show the help.

--iri
    Use an IRI to access the archive.

-l, --list
    List all files in the archive.

-n, --no-clobber
    Never overwrite files.

-p, --print
    Print one or more files from the archive.

-q, --quiet
    Quiet mode (no outputu, except errors).

-t type, --type=type
    Archive type (gz, lha, tar, tgz, zip, zoo).

-v, --verbose
    Verbose output for file list.

-x, --extract
    Extract files.

EXAMPLES
Extract all files in an archive:

    ofarc -x archive.tar.gz

Create a new archive with the directory foo and all its files:

    ofarc -c foo.zip foo

List all files in an archive without downloading it:

    ofarc --iri -l https://example.com/archive.lha

Print file README in archive.tar.gz:

    ofarc -p archive.tar.gz README